Qt API | Qtopia API | Qtopia Documentation |

# QRsync Class Reference

The QRsync class provides an interface to librsync. More...

`#include <qrsync.h>`

List of all member functions.

## Static Public Members

- void generateSignature ( QString baseFile, QString sigFile )
- void generateDiff ( QString baseFile, QString sigFile, QString diffFile )
- void applyDiff ( QString baseFile, QString deltaFile )

## Detailed Description

The QRsync class provides an interface to librsync.

QRsync links with librsync, which provides fast incremental file transfer in the style of rsync. Qtopia and QtopiaDesktop use QRsync for PIM data synchronization.

Librsync is distributed under the terms of the GNU Lesser General Public License. The primary copyright holder and and author is Martin Pool <mbp@samba.org>. The primary copyright holder and author for rsync is Andrew Tridgell <tridge@samba.org>. More information about librsync can be found at http://librsync.sourceforge.net

## Member Function Documentation

### void QRsync::applyDiff ( QString baseFile, QString deltaFile )`[static]`

Applys the diff in deltaFile to baseFile.

### void QRsync::generateSignature ( QString baseFile, QString sigFile )`[static]`

Takes baseFile and generates a signature for it in sigFile.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.